%global vimfiles %{_datadir}/vim/vimfiles

Name:           nerdtree
Version:        4.2.0
Release:        %mkrel 1
Summary:        A tree explorer plugin for the editor Vim
Group:          Development/Tools

License:        WTFPL
URL:            http://www.vim.org/scripts/script.php?script_id=1658
Source0:        https://github.com/scrooloose/%{name}/tarball/%{version}
Patch0:         vim-%{name}-Deactivating-folds-in-NERDtree-buffer.patch

Requires:       vim-common
Requires(post): vim
Requires(postun): vim

BuildArch:      noarch

%description
The NERD tree allows you to explore your filesystem and to open files and
directories. It presents the filesystem to you in the form of a tree which
you manipulate with the keyboard and/or mouse. It also allows you
to perform simple filesystem operations.

%prep
%setup -q -n scrooloose-%{name}-205367a
%patch0 -p1

%build


%install
mkdir -p %{buildroot}%{vimfiles}
cp -ar {doc,nerdtree_plugin,plugin,syntax} %{buildroot}%{vimfiles}

%post
vim -c ":helptags %{vimfiles}/doc" -c :q &> /dev/null

%postun
rm %{vimfiles}/doc/tags
vim -c ":helptags %{vimfiles}/doc" -c :q &> /dev/null


%files
%doc README.markdown
%doc %{vimfiles}/doc/*
%{vimfiles}/nerdtree_plugin/
%{vimfiles}/plugin/*
%{vimfiles}/syntax/*




%changelog

* Sat Mar 30 2013 matteo <matteo> 4.2.0-1.mga3
+ Revision: 406764
- import Fedora package

